path.expand {base} | R Documentation

## Expand File Paths

### Description

Expand a path name, for example by replacing a leading tilde by the user's home directory (if defined on that platform).

### Usage

    path.expand(path)

### Arguments

`path` | character vector containing one or more path names.

### Details

The definition of the ‘home’ directory is in the ‘rw-FAQ’ Q2.14: it is taken from the R_USER environment variable when `path.expand` is first called in a session.

### See Also

`basename`, `normalizePath`.

### Examples

    path.expand("~/foo")

[Package base version 3.3.0 Index]